###############################################################################
#                          Generated on phpdocker.io                          #
###############################################################################
version: '3.1'
services:
    mariadb:
        image: 'mariadb:10.6'
        working_dir: /application
        volumes:
            - '../preventa:/application'
        environment:
            - MYSQL_ROOT_PASSWORD=Aa123456789
            - MYSQL_DATABASE=preventa
            - MYSQL_USER=preventa
            - MYSQL_PASSWORD=Aa123456789
        ports:
            - '8891:3306'

    postgres:
        image: 'postgres:11.1-alpine'
        working_dir: /application
        volumes:
            - '../preventa:/application'
        environment:
            - POSTGRES_USER=preventa
            - POSTGRES_PASSWORD=Aa123456789
            - POSTGRES_DB=preventa
        ports:
            - '8892:5432'

    webserver:
        image: 'nginx:alpine'
        working_dir: /application
        volumes:
            - '../preventa:/application'
            - './phpdocker/nginx/nginx.conf:/etc/nginx/conf.d/default.conf'
        ports:
            - '8888:80'

    php-fpm:
        build: phpdocker/php-fpm
        working_dir: /application
        volumes:
            - '../preventa:/application'
            - './phpdocker/php-fpm/php-ini-overrides.ini:/etc/php/8.1/fpm/conf.d/99-overrides.ini'
